> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notional.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# TWAP List History

## Endpoint

```text theme={null}
POST /info
```

## Request Body

| Parameter | Type   | Description                 |
| --------- | ------ | --------------------------- |
| `type`\*  | string | Must be `"twapListHistory"` |
| `user`\*  | string | User wallet address         |

## Response

```json theme={null}
[
  {
    "twapId": "0x1a2b3c...",
    "status": "completed_partial",
    "asset": "BTC",
    "side": "buy",
    "totalSz": "0.25",
    "filledSz": "0.20",
    "remainingSz": "0.05",
    "reduceOnly": false,
    "slicesFilled": 4,
    "slicesPartial": 1,
    "slicesRejected": 1,
    "totalNotional": "10050.000000",
    "avgFillPx": "50250.000000",
    "durationMs": 1800000,
    "sliceIntervalMs": 300000,
    "startedAt": 1701234567890,
    "expectedEndAt": 1701236367890,
    "currentSliceIndex": 6,
    "totalExpectedSlices": 7,
    "randomize": true,
    "createdAt": 1701234567890,
    "updatedAt": 1701236367890,
    "completedAt": 1701236367890,
    "canceledAt": null,
    "reason": "suborder timeout near end of schedule"
  }
]
```

## Notes

<Note>
  * This endpoint returns both active and terminal TWAPs. - Results are sorted descending by the
    best available terminal or update timestamp: `completedAt`, then `canceledAt`, then `updatedAt`,
    then `startedAt`, then `createdAt`. - Possible statuses include `pending`, `active`, `completed`,
    `completed_partial`, `canceled`, `expired`, `error`, and `rejected`.
</Note>
